# Uses of Interface
com.sun.mirror.declaration.MethodDeclaration

Packages that use MethodDeclaration
Package
Description
com.sun.mirror.declaration
Interfaces used to model program element declarations.
com.sun.mirror.util
Utilities to assist in the processing of declarations and types.

## Uses of MethodDeclaration in com.sun.mirror.declaration

Subinterfaces of MethodDeclaration in com.sun.mirror.declaration
Modifier and Type
Interface
Description
`interface`
`AnnotationTypeElementDeclaration`
Represents an element of an annotation type.
Methods in com.sun.mirror.declaration that return types with arguments of type MethodDeclaration
Modifier and Type
Method
Description
`Collection<MethodDeclaration>`
ClassDeclaration.`getMethods()`
Returns the methods that are directly declared by this class or interface.
`Collection<? extends MethodDeclaration>`
TypeDeclaration.`getMethods()`
Returns the methods that are directly declared by this class or interface.

## Uses of MethodDeclaration in com.sun.mirror.util

Methods in com.sun.mirror.util with parameters of type MethodDeclaration
Modifier and Type
Method
Description
`boolean`
Declarations.`overrides(MethodDeclaration sub, MethodDeclaration sup)`
Tests whether one method overrides another.
`void`
DeclarationVisitor.`visitMethodDeclaration(MethodDeclaration d)`
Visits a method declaration.
`void`
SimpleDeclarationVisitor.`visitMethodDeclaration(MethodDeclaration d)`
Visits a method declaration.